| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
cv::cuda::FastFeatureDetector Class Referenceabstract
CUDA-accelerated Computer Vision » Feature Detection and Description

Wrapping class for feature detection using the FAST method. More...

`#include <opencv2/cudafeatures2d.hpp>`

Inheritance diagram for cv::cuda::FastFeatureDetector:

## Public Member Functions
virtual int | getMaxNumPoints () const =0
virtual void | setMaxNumPoints (int max_npoints)=0
virtual void | setThreshold (int threshold)=0
Public Member Functions inherited from cv::cuda::Feature2DAsync
virtual | ~Feature2DAsync ()
virtual void | computeAsync (InputArray image, OutputArray keypoints, OutputArray descriptors, Stream &stream=Stream::Null())
| Computes the descriptors for a set of keypoints detected in an image. More...
virtual void | convert (InputArray gpu_keypoints, std::vector< KeyPoint > &keypoints)=0
virtual void | detectAndComputeAsync (InputArray image, InputArray mask, OutputArray keypoints, OutputArray descriptors, bool useProvidedKeypoints=false, Stream &stream=Stream::Null())
virtual void | detectAsync (InputArray image, OutputArray keypoints, InputArray mask=noArray(), Stream &stream=Stream::Null())
| Detects keypoints in an image. More...
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
virtual String | getDefaultName () const CV_OVERRIDE
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< cuda::FastFeatureDetector > | create (int threshold=10, bool nonmaxSuppression=true, int type=cv::FastFeatureDetector::TYPE_9_16, int max_npoints=5000)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Static Public Attributes
static const int | FEATURE_SIZE = 7
static const int | LOCATION_ROW = 0
static const int | RESPONSE_ROW = 1
static const int | ROWS_COUNT = 2

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Wrapping class for feature detection using the FAST method.

## Member Function Documentation

## ◆ create()

static Ptr<cuda::FastFeatureDetector> cv::cuda::FastFeatureDetector::create | ( | int | threshold = `10`,
|  | bool | nonmaxSuppression = `true`,
|  | int | type = `cv::FastFeatureDetector::TYPE_9_16`,
|  | int | max_npoints = `5000`
| ) |  |
| static

## ◆ getMaxNumPoints()

virtual int cv::cuda::FastFeatureDetector::getMaxNumPoints | ( |  | ) | const
| pure virtual

## ◆ setMaxNumPoints()

virtual void cv::cuda::FastFeatureDetector::setMaxNumPoints | ( | int | max_npoints | ) |
| pure virtual

## ◆ setThreshold()

virtual void cv::cuda::FastFeatureDetector::setThreshold | ( | int | threshold | ) |
| pure virtual

## Member Data Documentation

## ◆ FEATURE_SIZE

const int cv::cuda::FastFeatureDetector::FEATURE_SIZE = 7
| static

## ◆ LOCATION_ROW

const int cv::cuda::FastFeatureDetector::LOCATION_ROW = 0
| static

## ◆ RESPONSE_ROW

const int cv::cuda::FastFeatureDetector::RESPONSE_ROW = 1
| static

## ◆ ROWS_COUNT

const int cv::cuda::FastFeatureDetector::ROWS_COUNT = 2
| static

The documentation for this class was generated from the following file:

- opencv2/cudafeatures2d.hpp